Package com.destroystokyo.paper.event.entity

# Enum Class EndermanEscapeEvent.Reason

java.lang.Object
java.lang.Enum<EndermanEscapeEvent.Reason>
com.destroystokyo.paper.event.entity.EndermanEscapeEvent.Reason

All Implemented Interfaces:
  `Serializable`, `Comparable<EndermanEscapeEvent.Reason>`, `Constable`

Enclosing class:
  EndermanEscapeEvent

public static enum EndermanEscapeEvent.Reason extends Enum<EndermanEscapeEvent.Reason>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CRITICAL_HIT`
The enderman has teleported away due to a critical hit
`DROWN`
Specific case for CRITICAL_HIT where the enderman is taking rain damage
`INDIRECT`
The enderman has teleported away due to indirect damage (ranged)
`RUNAWAY`
The enderman has stopped attacking and ran away
`STARE`
The enderman has teleported away due to the player staring at it during combat

## Method Summary

Modifier and Type
Method
Description
`static EndermanEscapeEvent.Reason`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EndermanEscapeEvent.Reason[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RUNAWAY

public static final EndermanEscapeEvent.Reason RUNAWAY
The enderman has stopped attacking and ran away

### INDIRECT

public static final EndermanEscapeEvent.Reason INDIRECT
The enderman has teleported away due to indirect damage (ranged)

### CRITICAL_HIT

public static final EndermanEscapeEvent.Reason CRITICAL_HIT
The enderman has teleported away due to a critical hit

### STARE

public static final EndermanEscapeEvent.Reason STARE
The enderman has teleported away due to the player staring at it during combat

### DROWN

public static final EndermanEscapeEvent.Reason DROWN
Specific case for CRITICAL_HIT where the enderman is taking rain damage

## Method Details

### values

public static EndermanEscapeEvent.Reason[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EndermanEscapeEvent.Reason valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null